Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.tutorial.splitstream
Class SplitStreamTutorial

    java.lang.Object
      rice.tutorial.splitstream.SplitStreamTutorial

    public class SplitStreamTutorial

extends java.lang.Object

This tutorial shows how to use Scribe.

Author:
  Jeff Hoye

Constructor Summary
`SplitStreamTutorial(int bindport, java.net.InetSocketAddress bootaddress, int numNodes, Environment env, boolean useDirect)` Based on the rice.tutorial.lesson4.DistTutorial This constructor launches numNodes PastryNodes.

Method Summary
`static void` | `main(java.lang.String[] args)` Usage: java [-cp FreePastry- .jar] rice.tutorial.lesson6.ScribeTutorial localbindport bootIP bootPort numNodes example java rice.tutorial.DistTutorial 9001 pokey.cs.almamater.edu 9001

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SplitStreamTutorial

    public SplitStreamTutorial(int bindport,
                               java.net.InetSocketAddress bootaddress,
                               int numNodes,
                               Environment env,
                               boolean useDirect)
                        throws java.lang.Exception

  Based on the rice.tutorial.lesson4.DistTutorial This constructor launches numNodes PastryNodes. They will bootstrap to an existing ring if one exists at the specified location, otherwise it will start a new ring.

  Parameters:
    `bindport` - the local port to bind to
    `bootaddress` - the IP:port of the node to boot from
    `numNodes` - the number of nodes to create in this JVM
    `env` - the Environment
  Throws:
    `java.lang.Exception`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Usage: java [-cp FreePastry- .jar] rice.tutorial.lesson6.ScribeTutorial localbindport bootIP bootPort numNodes example java rice.tutorial.DistTutorial 9001 pokey.cs.almamater.edu 9001

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.